# Uses of Class
com.github.lgooddatepicker.durationpicker_underconstruction.DurationConverterSettings

Packages that use DurationConverterSettings
Package
Description
com.github.lgooddatepicker.durationpicker_underconstruction

## Uses of DurationConverterSettings in com.github.lgooddatepicker.durationpicker_underconstruction

Methods in com.github.lgooddatepicker.durationpicker_underconstruction with parameters of type DurationConverterSettings
Modifier and Type
Method
Description
`static String`
DurationConverter.`convertStringFromDuration(Duration duration, DurationConverterSettings settings)`
This function will return an empty string if the duration is null or less than zero.
`static Duration`
DurationConverter.`convertStringToDuration(String text, DurationConverterSettings settings)`
Note: This function will return null if the string cannot be parsed for any reason.
Constructors in com.github.lgooddatepicker.durationpicker_underconstruction with parameters of type DurationConverterSettings
Modifier
Constructor
Description
``
`DurationPicker(DurationConverterSettings converterSettings)`